Skip to content

线路消费报表

请求信息

  • 接口: /agent-api/user/{user_id}/call_line_fee
  • 请求方式: GET

路由参数

参数类型示例解释必填
user_idstring5433b412-07d5-44e6-9fa4-deb65e43bc93用户id

请求参数

参数类型示例解释必填
datearray["2023-05-08","2023-05-28"]日期否(不传递,默认传递近7天范围数据)
caller_line_idsarray['701c4d11-84f3-4471-98ab-34f4f376e449']线路id否(不传递,默认全部选择)
typestringself (self : 主账号 || all :主账号以及所有子账号)类别否(不传递,默认选择 self)
task_idsarray["9c5f5251-d4fa-4198-91e5-78a2f7356b67"]任务id否(不传递,默认全部选择)
pageint1页码否(需要分页时,可传该参数)

注意:date参数不可传递时间跨度不可超过30天。

请求示例

cURL
curl -X GET "https://ai.api.longlonglong.cn/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/call_line_fee?date[]=2023-05-08&date[]=2023-05-28&caller_line_ids[]=701c4d11-84f3-4471-98ab-34f4f376e449&type=self&task_ids[]=9c5f5251-d4fa-4198-91e5-78a2f7356b67&page=1" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN"
Go
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    url := "https://ai.api.longlonglong.cn/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/call_line_fee?date[]=2023-05-08&date[]=2023-05-28&caller_line_ids[]=701c4d11-84f3-4471-98ab-34f4f376e449&type=self&task_ids[]=9c5f5251-d4fa-4198-91e5-78a2f7356b67&page=1"

    req, _ := http.NewRequest("GET", url, nil)
    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("Authorization", "Bearer YOUR_TOKEN")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
JavaScript
const axios = require('axios');

axios.get('https://ai.api.longlonglong.cn/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/call_line_fee', {
    params: {
        date: ['2023-05-08', '2023-05-28'],
        caller_line_ids: ['701c4d11-84f3-4471-98ab-34f4f376e449'],
        type: 'self',
        task_ids: ['9c5f5251-d4fa-4198-91e5-78a2f7356b67'],
        page: 1
    },
    headers: {
        'Content-Type': 'application/json',
        'Authorization': 'Bearer YOUR_TOKEN'
    }
})
.then(response => {
    console.log(response.data);
})
.catch(error => {
    console.error('Error:', error);
});
Java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://ai.api.longlonglong.cn/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/call_line_fee?date[]=2023-05-08&date[]=2023-05-28&caller_line_ids[]=701c4d11-84f3-4471-98ab-34f4f376e449&type=self&task_ids[]=9c5f5251-d4fa-4198-91e5-78a2f7356b67&page=1";

        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create(url))
                .header("Content-Type", "application/json")
                .header("Authorization", "Bearer YOUR_TOKEN")
                .GET()
                .build();

        HttpClient client = HttpClient.newHttpClient();
        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
PHP
<?php

$url = 'https://ai.api.longlonglong.cn/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/call_line_fee?date[]=2023-05-08&date[]=2023-05-28&caller_line_ids[]=701c4d11-84f3-4471-98ab-34f4f376e449&type=self&task_ids[]=9c5f5251-d4fa-4198-91e5-78a2f7356b67&page=1';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Content-Type: application/json',
    'Authorization: Bearer YOUR_TOKEN'
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
Python
import requests

url = 'https://ai.api.longlonglong.cn/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/call_line_fee'

params = {
    'date': ['2023-05-08', '2023-05-28'],
    'caller_line_ids': ['701c4d11-84f3-4471-98ab-34f4f376e449'],
    'type': 'self',
    'task_ids': ['9c5f5251-d4fa-4198-91e5-78a2f7356b67'],
    'page': 1
}

headers = {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer YOUR_TOKEN'
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
C++
#include <iostream>
#include <string>
#include <curl/curl.h>

size_t WriteCallback(void* contents, size_t size, size_t nmemb, void* userp) {
    ((std::string*)userp)->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl;
    CURLcode res;
    std::string readBuffer;

    curl = curl_easy_init();
    if(curl) {
        curl_easy_setopt(curl, CURLOPT_URL, "https://ai.api.longlonglong.cn/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/call_line_fee?date[]=2023-05-08&date[]=2023-05-28&caller_line_ids[]=701c4d11-84f3-4471-98ab-34f4f376e449&type=self&task_ids[]=9c5f5251-d4fa-4198-91e5-78a2f7356b67&page=1");
        curl_easy_setopt(curl, CURLOPT_CUSTOMREQUEST, "GET");

        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Content-Type: application/json");
        headers = curl_slist_append(headers, "Authorization: Bearer YOUR_TOKEN");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);

        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &readBuffer);

        res = curl_easy_perform(curl);
        curl_slist_free_all(headers);
        curl_easy_cleanup(curl);

        std::cout << readBuffer << std::endl;
    }
    return 0;
}

返回示例

json
{
    "code": 200,
    "status": "success",
    "message": "查看线路报表成功",
    "data": {
        "2023-05-20 00:00:00": [
            {
                "user_id": "073d8501-b6a3-4869-a87e-71807bfd4fb8",
                "caller_line_id": "701c4d11-84f3-4471-98ab-34f4f376e449",
                "caller_line_name": "测试坐席10006-云节点一", //线路名称
                "caller_number": "0000000000", //主叫号码
                "daily_fee": 7, //本日消费
                "duration": 268699, //通话时长
                "call_count": 6, // 通话次数
                "date": "2023-05-20 00:00:00"
            }
        ],
        "2023-05-18 00:00:00": [
            {
                "user_id": "073d8501-b6a3-4869-a87e-71807bfd4fb8",
                "caller_line_id": "701c4d11-84f3-4471-98ab-34f4f376e449",
                "caller_line_name": "测试坐席10006-云节点一",
                "caller_number": "0000000000",
                "daily_fee": 5,
                "duration": 152938,
                "call_count": 4,
                "date": "2023-05-18 00:00:00"
            }
        ]
    }
}

基于 MIT 许可发布